package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag759;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT759Creator;

/**
 * @author wuzhe
 * @date 2023/3/2
 */
public class Tag23Creator extends AbsTagCreate {

     private MT759Creator mt759Creator;

    public Tag23Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt759Creator= (MT759Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag23Value = mt759Creator.getUndertakingNumber();
        mt759Creator.set("23", tag23Value);
    }
}
